Download it now!
Bug 115873 - Shape selected in navigator is not selected in the main window
Summary: Shape selected in navigator is not selected in the main window
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:5.4.6 target:6.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-20 09:53 UTC by Miklos Vajna
Modified: 2018-02-28 08:13 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (4.19 KB, application/vnd.oasis.opendocument.presentation-flat-xml)
2018-02-20 09:53 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-02-20 09:53:54 UTC
Created attachment 140012 [details]
Reproducer document.

Steps to reproduce:

1) Open the attached document.
2) Open the navigator on the sidebar.
3) Click on "Rectangle" (to select it).
4) Do some action with your selection, e.g. Edit -> Cut.

Actual result: the menu item is grayed out.

Expected result: edit -> cut can cut the selected shape.
Comment 1 Commit Notification 2018-02-22 08:05:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3c68cdf8f6a0273c62b493552f78af0138a44e8

tdf#115873 sd navigator: allow selecting but not focusing on objects

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-02-23 18:44:37 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f159a4df7dcf9c4b1a35d16aee2303b8fa34b27

tdf#115873 sd navigator: adapt IsEqualToDoc() to Fill() further

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-02-28 08:11:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a055e423512d2b19afb57ea5c3518b920d7dd131&h=libreoffice-5-4

tdf#115873 sd navigator: allow selecting but not focusing on objects

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-02-28 08:13:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce556dafb6421f6bd84dd9b2039eea7f15c059f6&h=libreoffice-6-0

tdf#115873 sd navigator: allow selecting but not focusing on objects

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-02-28 08:13:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08e01e70a59f8bd9ac3e89820cfeb11edb74623e&h=libreoffice-6-0

tdf#115873 sd navigator: adapt IsEqualToDoc() to Fill() further

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-02-28 08:13:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea68707c2fed39eb00fdc8c24b0360005b1f1c0e&h=libreoffice-5-4

tdf#115873 sd navigator: adapt IsEqualToDoc() to Fill() further

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.